Subject: bug#23371: closed (Re: emacs: paxctl usage on NetBSD)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Apr 2016 23:09:02 +0000

Your bug report

#23371: emacs: paxctl usage on NetBSD

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23371: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23371
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: emacs: paxctl usage on NetBSD
From: Paul Eggert <[email-masked]>
To: Thomas Klausner <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 Apr 2016 16:08:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/27/2016 03:50 PM, Thomas Klausner wrote:
> Yes, that's it. I've defined PAXCTL_notdumped to the same value as
> PAXCTL_dumped and emacs builds fine now -- basically, one additional
> line to configure.ac in the netbsd case.

Thanks, I installed a patch along those lines into the emacs-25 branch.

Subject: emacs: paxctl usage on NetBSD
From: Thomas Klausner <[email-masked]>
To: [email-masked]
Date: Mon, 25 Apr 2016 14:09:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 25.1.50

emacs is using paxctl during the build, in two ways:
"paxctl -zex file" and "paxctl -r file"

However, the NetBSD version of paxctl has a different usage, e.g.
"paxctl +a file" would turn off ASLR. For more details, see
http://netbsd.gw.com/cgi-bin/man-cgi?paxctl++NetBSD-current

When I replace 'paxctl -zex' with 'paxctl +a' in src/Makefile.in, the
build succeeds.
 Thomas